# Get-RASScheduleMessage.md

## NAME

Get-RASScheduleMessage

## SYNOPSIS

Retrieves schedule message information for a Schedule.

## SYNTAX

**Get-RASScheduleMessage** \[[Id](#id-string)] *(uint)* -[ObjType](#objtype) {RDS | VDI | AVD} \[[MessageId](#messageid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASScheduleMessage \[\[-[Name](#name-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] -[ObjType](#objtype) {RDS | VDI | AVD} \[[MessageId](#messageid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves schedule message information for a Schedule.

## PARAMETERS

## MessageId (uint)

Scheduler job message ID.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

Scheduler job name.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the schedule job.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

Scheduler job ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType ([ScheduleObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/scheduleobjtype.md))

Schedule object type.

Possible values: RDS, VDI, AVD

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[ScheduleMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/schedulemessage.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASScheduleMessage -ObjType VDI -Name "SchedItem"

Retrieves the list of Messages from the schedule item specified by name.\
\*\*---------- EXAMPLE 2 ----------

Get-RASScheduleMessage -ObjType VDI -Id 1

Retrieves the list of Messages from the schedule item specified by id.\
\*\*---------- EXAMPLE 3 ----------

Get-RASScheduleMessage -ObjType VDI -Name "SchedItem" -MessageId 1

Retrieves Message specified by id from the schedule item specified by name.\
\*\*---------- EXAMPLE 4 ----------

Get-RASScheduleMessage -ObjType VDI -Id 1 -MessageId 1

Retrieves Message specified by id from the schedule item specified by id.

## RELATED LINKS

* [Get-RASSchedule](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasschedule.md)
* [Add-RASScheduleMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasschedulemessage.md)
* [Set-RASScheduleMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasschedulemessage.md)
* [Remove-RASScheduleMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasschedulemessage.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasschedulemessage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
